xdiff_string_diff
xdiff_string_patch_binary
xdiff Functions
PHP Manual

# xdiff_string_merge3

(PECL xdiff >= 0.2.0)

xdiff_string_merge3 — Merge 3 strings into one

### Description

mixed xdiff_string_merge3 ( string `$old_data` , string `$new_data1` , string `$new_data2` [, string `&$error` ] )

Merges three strings into one and returns the result. The `old_data` is an original version of data while `new_file1` and `new_file2` are modified versions of an original. An optional `error` is used to pass any rejected parts during merging process.

### Parameters

`old_data`

  First string with data. It acts as "old" data.

`new_data1`

  Second string with data. It acts as modified version of `old_data`.

`new_data2`

  Third string with data. It acts as modified version of `old_data`.

`error`

  If provided then rejected parts are stored inside this variable.

### Return Values

Returns the merged string, `FALSE` if an internal error happened, or `TRUE` if merged string is empty.

### See Also

- xdiff_file_merge3() - Merge 3 files into one

xdiff_string_diff
xdiff_string_patch_binary
xdiff Functions
PHP Manual